kind: Pod
apiVersion: v1
metadata:
  generateName: win-dns-tester-job-7jxfb-
  annotations:
    openshift.io/scc: restricted
  resourceVersion: '131563'
  name: win-dns-tester-job-7jxfb-46v2h
  uid: 7028cabb-d0f2-4dd2-82fc-1eb29bcda82c
  creationTimestamp: '2022-03-09T03:11:13Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-03-09T03:11:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:controller-uid': {}
            'f:job-name': {}
        'f:spec':
          'f:containers':
            'k:{"name":"win-dns-tester"}':
              .: {}
              'f:command': {}
              'f:image': {}
              'f:imagePullPolicy': {}
              'f:name': {}
              'f:resources': {}
              'f:terminationMessagePath': {}
              'f:terminationMessagePolicy': {}
          'f:dnsPolicy': {}
          'f:tolerations': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:nodeSelector': {}
          'f:terminationGracePeriodSeconds': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2022-03-09T03:11:21Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.132.2.8"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: wmco-test
  labels:
    controller-uid: a05c80e9-1fed-406a-877b-2b6bfe1b1692
    job-name: win-dns-tester-job-7jxfb
spec:
  nodeSelector:
    kubernetes.io/os: windows
  restartPolicy: Never
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-cgb8f
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: ip-10-0-177-127.ec2.internal
  securityContext:
    seLinuxOptions:
      level: 's0:c26,c20'
    fsGroup: 1000690000
  containers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: win-dns-tester
      command:
        - pwsh.exe
        - '-command'
        - 'curl.exe --head -k https://www.openshift.com'
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000690000
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: kube-api-access-9g8r8
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-1809'
  serviceAccount: default
  volumes:
    - name: kube-api-access-9g8r8
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: os
      value: Windows
      effect: NoSchedule
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
status:
  phase: Failed
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-09T03:11:14Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-03-09T03:11:21Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-dns-tester]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2022-03-09T03:11:21Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [win-dns-tester]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2022-03-09T03:11:14Z'
  hostIP: 10.0.177.127
  podIP: 10.132.2.8
  podIPs:
    - ip: 10.132.2.8
  startTime: '2022-03-09T03:11:14Z'
  containerStatuses:
    - restartCount: 0
      started: false
      ready: false
      name: win-dns-tester
      state:
        terminated:
          exitCode: 1
          reason: Error
          startedAt: '2022-03-09T03:11:18Z'
          finishedAt: '2022-03-09T03:11:19Z'
          containerID: >-
            docker://4f6197ff986a829fd0ac49d5f4d62b83ca314b516ade9587ce9e1af6576e5985
      imageID: >-
        docker-pullable://mcr.microsoft.com/powershell@sha256:171101fe43999c0066d1e5376310dc501965946be7fb9843482855699dfa9a72
      image: 'mcr.microsoft.com/powershell:lts-nanoserver-1809'
      lastState: {}
      containerID: >-
        docker://4f6197ff986a829fd0ac49d5f4d62b83ca314b516ade9587ce9e1af6576e5985
  qosClass: BestEffort
